Draft BezCurve/it: Difference between revisions

From FreeCAD Documentation
(Created page with "===Descrizione===")
(Created page with "Lo strumento Curva di Bezier crea una [http://en.wikipedia.org/wiki/Bezier_curve Curva di Bezier] (o un tratto) da più punti nel corrente [[Draft Workingplane/it|piano di la...")
Line 4: Line 4:




The BezCurve tool creates a [http://en.wikipedia.org/wiki/Bezier_curve Bezier Curve] (or a piecewise Bezier Curve) from several points in the current [[Draft Workingplane|work plane]]. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab.
Lo strumento Curva di Bezier crea una [http://en.wikipedia.org/wiki/Bezier_curve Curva di Bezier] (o un tratto) da più punti nel corrente [[Draft Workingplane/it|piano di lavoro]]. Assume lo [[Draft Linestyle/it|lo spessore e il colore]] precedentemente impostati nella scheda Azioni.


The object is created as a single Bezier Curve of degree (number_of_points - 1). This can be changed to a piecewise Bezier Curve of a specified degree after creation using the [[Property|properties editor]]. Bezier Curves can be edited using {{KEY|[[Image:Draft Edit.png|16px]] [[Draft Edit]]}}.
The object is created as a single Bezier Curve of degree (number_of_points - 1). This can be changed to a piecewise Bezier Curve of a specified degree after creation using the [[Property|properties editor]]. Bezier Curves can be edited using {{KEY|[[Image:Draft Edit.png|16px]] [[Draft Edit]]}}.

Revision as of 23:13, 25 February 2014

Curva di Bezier

Posizione nel menu
Draft → Curva di Bezier
Ambiente
Draft, Arch
Avvio veloce
B Z
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Lo strumento Curva di Bezier crea una Curva di Bezier (o un tratto) da più punti nel corrente piano di lavoro. Assume lo lo spessore e il colore precedentemente impostati nella scheda Azioni.

The object is created as a single Bezier Curve of degree (number_of_points - 1). This can be changed to a piecewise Bezier Curve of a specified degree after creation using the properties editor. Bezier Curves can be edited using Draft Edit.

How to use

  1. Press the Draft BezCurve button, or press B then Z keys.
  2. Click a first point on the 3D view, or type a coordinate
  3. Click additional point on the 3D view, or type a coordinate
  4. Press F or C, or double-click the last point, or click on the first point to finish and close the curve.

Options

  • Press F or the Finish button to finish the spline, leaving it open
  • Press C or the Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BezCurve tool will restart after you finish or close it, allowing you to draw another one without pressing the BezCurve button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current BezCurve command.

Properties

  • DatiClosed: Specifies if the Bezier Curve is closed or not
  • DatiDegree: Specifies the degree of the Bezier Curve (or segments)

Scripting

The BezCurve tool can by used in macros and from the python console by using the following function:

makeBezCurve(pointslist,[closed],[placement],[support],[degree])
  • Create a Bezier Curve object from the given list of vectors. Instead of a pointslist, you can also pass a Part Wire.

Example:

import FreeCAD,Draft
myFeature = Draft.makeBezCurve(Draft.makeBezCurve(points,False)

Contraining Nodes

The segment endpoints in a piecewise Bezier Curve can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. This is done after object creation using Draft Edit.

  • Sharp - remove constraints
  • Tangent - force adjacent control points to be tangent
  • Symmetric - force adjacent control points to be tangent and equi-distant

Limitations

  • This tool is not available before FreeCAD version 0.14
  • The Points Property does not yet appear in the properties list.
  • OpenCascade does not support Bezier Curve with degree > 25. This should not be a problem in practice.